{
  "name": "admin-snack",
  "version": "0.0.1",
  "private": true,
  "type": "module",
  "description": "零食商城管理后台",
  "scripts": {
    "dev": "vite",
    "build": "vue-tsc --noEmit && vite build",
    "build:test": "vue-tsc --noEmit && vite build --mode test",
    "build:prod": "vue-tsc --noEmit && vite build --mode production",
    "preview": "vite preview",
    "type-check": "vue-tsc --noEmit",
    "lint": "eslint . --ext .vue,.js,.ts,.jsx,.tsx --fix",
    "format": "prettier --write \"src/**/*.{vue,ts,js,tsx,jsx,css,scss,md,json}\""
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@vueuse/core": "^12.0.0",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-vue": "^5.1.12",
    "axios": "^1.7.9",
    "dayjs": "^1.11.13",
    "echarts": "^5.5.1",
    "element-plus": "^2.9.1",
    "js-cookie": "^3.0.5",
    "lodash-es": "^4.17.21",
    "mitt": "^3.0.1",
    "nprogress": "^0.2.0",
    "pinia": "^2.3.0",
    "pinia-plugin-persistedstate": "^4.2.0",
    "vue": "^3.5.13",
    "vue-echarts": "^7.0.3",
    "vue-router": "^4.5.0",
    "wangeditor": "^4.7.15"
  },
  "devDependencies": {
    "@types/js-cookie": "^3.0.6",
    "@types/lodash-es": "^4.17.12",
    "@types/mockjs": "^1.0.10",
    "@types/node": "^22.10.2",
    "@types/nprogress": "^0.2.3",
    "@typescript-eslint/eslint-plugin": "^8.18.0",
    "@typescript-eslint/parser": "^8.18.0",
    "@vitejs/plugin-vue": "^5.2.1",
    "@vitejs/plugin-vue-jsx": "^4.1.1",
    "@vue/eslint-config-typescript": "^14.1.4",
    "axios-mock-adapter": "^2.1.0",
    "eslint": "^9.17.0",
    "eslint-plugin-vue": "^9.32.0",
    "mockjs": "^1.1.0",
    "prettier": "^3.4.2",
    "sass": "^1.83.0",
    "typescript": "^5.7.2",
    "unocss": "^0.65.4",
    "unplugin-auto-import": "^19.0.0",
    "unplugin-vue-components": "^28.0.0",
    "vite": "^6.0.5",
    "vue-tsc": "^2.2.0"
  },
  "engines": {
    "node": ">=20.0.0"
  }
}
